/* -*-C-*-
 * access to the X Window System for Sather
 * (c) 1994/11/03 - 1994/11/28 by Erik Schnetter
 */

#include <X11/X.h>
#include <X11/Xlib.h>
#include "../../System/header.h"



void X_ChangeGC_foreground (Display* display, GC gc, INT color)
/* GC is struct* */
{
  XGCValues values;
  values.foreground = color;
  XChangeGC (display, gc, GCForeground, &values);
}

void X_ChangeGC_background (Display* display, GC gc, INT color)
/* GC is struct* */
{
  XGCValues values;
  values.background = color;
  XChangeGC (display, gc, GCBackground, &values);
}

void X_ChangeGC_fill_style (Display* display, GC gc, INT style)
/* GC is struct* */
{
  XGCValues values;
  values.fill_style = style;
  XChangeGC (display, gc, GCFillStyle, &values);
}
