-- Constants defined for a compiler installation.  These should
-- be edited to be appropriate to your platform.

-- what comes before file names for the C compile
-- This is set to not check ANSI pedantically as it did in previous versions.
"icc /Q"

-- what comes after file names for the C compile; '#' is expanded 
-- into the home directory at compile time.  This is only used for
-- the link step.
"#\System\base.lib #\System\GC\gc.lib"

-- extra args to pass to C compile if optimization turned on
"/O"

-- extra args to pass to C compile if debugging turned on
"/Ti /Gh /B/DE /B/NOE"

-- extra args to pass to C compile if verbose is on
""

-- the command to invoke make
"nmake -nologo"

-- extra args to pass to make command if verbose is _off_
"/s"
    
-- what to insert before filename in the command line for an executable
"/B/ALIGN:32 /Fe"

-- Set this to "true" if reads or writes to *NULL will cause a segfault.  If
-- this is true, inline checks against void can be omitted.  Otherwise
-- set it to "false".
"true"
