/* Prototypes for the functions which are "built-in" to the
 * Sather system; that is, that the compiler has special knowledge
 * of and are always present.
*/

INT c_INT_plus_INT_INT_chk(INT,INT);
INT c_INT_minus_INT_INT_chk(INT,INT);
INT c_INT_times_INT_INT_chk(INT,INT);
INT c_INT_div_INT_INT_chk(INT,INT);
INT c_INT_mod_INT_INT_chk(INT,INT);
INT c_INT_uplus_INT_INT_chk(INT,INT);
INT c_INT_uminus_INT_INT_chk(INT,INT);
INT c_INT_utimes_INT_INT_chk(INT,INT);
INT c_INT_udiv_INT_INT_chk(INT,INT);
INT c_INT_umod_INT_INT_chk(INT,INT);
INT c_INT_rshift_INT_INT(INT,INT);

INT c_SYS_id_OB_INT(SYS,void*);    /* these void * should be fixed up */
void c_SYS_destroy_OB(SYS,void*);
INT c_SYS_tp_OB_INT(SYS,void*);
BOOL c_SYS_ob_eq_OB_OB_BOOL(OB,OB);
STR c_SYS_str_for_tp_INT_STR(SYS,INT);

STR c_FLT_str_STR(FLT);
STR c_FLT_str_INT_STR(FLT,INT);
STR c_FLTD_str_STR(FLTD);
STR c_FLTD_str_INT_STR(FLTD,INT);

void sbi_segfault_handler();

FLT c_flt_aset(FLT,INT,BOOL);
FLTD c_fltd_aset(FLTD,INT,BOOL);
BOOL c_flt_aget(FLT,INT);
BOOL c_fltd_aget(FLTD,INT);
